# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 75c9a0ee1d232a1a177746d97a13cf92b03da44a
    parent 428f01969aaf48ffa2983746c0a397bcc8946799
    Author: Devin J. Pohly <djpohly@gmail.com>
    Date:   Tue, 17 Oct 2017 15:46:31 -0500

    Remove unneeded array-length variables

    These were only used in x.c, which now has direct visibility of the
    config.h arrays.

    Signed-off-by: Devin J. Pohly <djpohly@gmail.com>

    Diffstat:
    Mx.c | 22+++++++---------------

    1 file changed, 7 insertions(+), 15 deletions(-)
    diff --git a/x.c b/x.c
    @@ -31,14 +31,6 @@ static void zoomreset(const Arg *);
     /* config.h for applying patches and the configuration. */
     #include "config.h"

    -/* config.h array lengths */
    -size_t colornamelen = LEN(colorname);
    -size_t mshortcutslen = LEN(mshortcuts);
    -size_t shortcutslen = LEN(shortcuts);
    -size_t selmaskslen = LEN(selmasks);
    -size_t keyslen = LEN(key);
    -size_t mappedkeyslen = LEN(mappedkeys);
    -
     /* XEMBED messages */
     #define XEMBED_FOCUS_IN  4
     #define XEMBED_FOCUS_OUT 5
    @@ -301,7 +293,7 @@ getbuttoninfo(XEvent *e)
     	selnormalize();

     	sel.type = SEL_REGULAR;
    -	for (type = 1; type < selmaskslen; ++type) {
    +	for (type = 1; type < LEN(selmasks); ++type) {
     		if (match(selmasks[type], state)) {
     			sel.type = type;
     			break;
    @@ -384,7 +376,7 @@ bpress(XEvent *e)
     		return;
     	}

    -	for (ms = mshortcuts; ms < mshortcuts + mshortcutslen; ms++) {
    +	for (ms = mshortcuts; ms < mshortcuts + LEN(mshortcuts); ms++) {
     		if (e->xbutton.button == ms->b
     				&& match(ms->mask, e->xbutton.state)) {
     			ttysend(ms->s, strlen(ms->s));
    @@ -728,7 +720,7 @@ xloadcols(void)
     	static int loaded;
     	Color *cp;

    -	dc.collen = MAX(colornamelen, 256);
    +	dc.collen = MAX(LEN(colorname), 256);
     	dc.col = xmalloc(dc.collen * sizeof(Color));

     	if (loaded) {
    @@ -1653,16 +1645,16 @@ kmap(KeySym k, uint state)
     	int i;

     	/* Check for mapped keys out of X11 function keys. */
    -	for (i = 0; i < mappedkeyslen; i++) {
    +	for (i = 0; i < LEN(mappedkeys); i++) {
     		if (mappedkeys[i] == k)
     			break;
     	}
    -	if (i == mappedkeyslen) {
    +	if (i == LEN(mappedkeys)) {
     		if ((k & 0xFFFF) < 0xFD00)
     			return NULL;
     	}

    -	for (kp = key; kp < key + keyslen; kp++) {
    +	for (kp = key; kp < key + LEN(key); kp++) {
     		if (kp->k != k)
     			continue;

    @@ -1702,7 +1694,7 @@ kpress(XEvent *ev)

     	len = XmbLookupString(xw.xic, e, buf, sizeof buf, &ksym, &status);
     	/* 1. shortcuts */
    -	for (bp = shortcuts; bp < shortcuts + shortcutslen; bp++) {
    +	for (bp = shortcuts; bp < shortcuts + LEN(shortcuts); bp++) {
     		if (ksym == bp->keysym && match(bp->mod, e->state)) {
     			bp->func(&(bp->arg));
     			return;